org.apache.avro.perf.test.reflect.jmh_generated

## Class ReflectLargeFloatArrayBlockedTest_encode_jmhTest

- java.lang.Object
- - org.apache.avro.perf.test.reflect.jmh_generated.ReflectLargeFloatArrayBlockedTest_encode_jmhTest

    public final class ReflectLargeFloatArrayBlockedTest_encode_jmhTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ReflectLargeFloatArrayBlockedTest_encode_jmhTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`org.openjdk.jmh.results.BenchmarkTaskResult` `encode_AverageTime(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)`

`static void`

`encode_avgt_jmhStub(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, ReflectLargeFloatArrayBlockedTest_TestStateEncode_jmhType l_teststateencode1_1, ReflectLargeFloatArrayBlockedTest_jmhType l_reflectlargefloatarrayblockedtest0_0)`

`static void`

`encode_sample_jmhStub(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, org.openjdk.jmh.util.SampleBuffer buffer, int targetSamples, long opsPerInv, int batchSize, ReflectLargeFloatArrayBlockedTest_TestStateEncode_jmhType l_teststateencode1_1, ReflectLargeFloatArrayBlockedTest_jmhType l_reflectlargefloatarrayblockedtest0_0)`

`org.openjdk.jmh.results.BenchmarkTaskResult` `encode_SampleTime(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)`
`org.openjdk.jmh.results.BenchmarkTaskResult` `encode_SingleShotTime(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)`

`static void`

`encode_ss_jmhStub(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, int batchSize, ReflectLargeFloatArrayBlockedTest_TestStateEncode_jmhType l_teststateencode1_1, ReflectLargeFloatArrayBlockedTest_jmhType l_reflectlargefloatarrayblockedtest0_0)`

`org.openjdk.jmh.results.BenchmarkTaskResult` `encode_Throughput(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.infra.ThreadParams threadParams)`

`static void`

`encode_thrpt_jmhStub(org.openjdk.jmh.runner.InfraControl control, org.openjdk.jmh.results.RawResults result, org.openjdk.jmh.infra.BenchmarkParams benchmarkParams, org.openjdk.jmh.infra.IterationParams iterationParams, org.openjdk.jmh.infra.ThreadParams threadParams, org.openjdk.jmh.infra.Blackhole blackhole, org.openjdk.jmh.infra.Control notifyControl, int startRndMask, ReflectLargeFloatArrayBlockedTest_TestStateEncode_jmhType l_teststateencode1_1, ReflectLargeFloatArrayBlockedTest_jmhType l_reflectlargefloatarrayblockedtest0_0)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReflectLargeFloatArrayBlockedTest_encode_jmhTest

    public ReflectLargeFloatArrayBlockedTest_encode_jmhTest()

### Method Detail

#### encode_Throughput

    public org.openjdk.jmh.results.BenchmarkTaskResult encode_Throughput(org.openjdk.jmh.runner.InfraControl control,
                                                                         org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                  throws Throwable

Throws:
  `Throwable`

#### encode_thrpt_jmhStub

    public static void encode_thrpt_jmhStub(org.openjdk.jmh.runner.InfraControl control,
                                            org.openjdk.jmh.results.RawResults result,
                                            org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                            org.openjdk.jmh.infra.IterationParams iterationParams,
                                            org.openjdk.jmh.infra.ThreadParams threadParams,
                                            org.openjdk.jmh.infra.Blackhole blackhole,
                                            org.openjdk.jmh.infra.Control notifyControl,
                                            int startRndMask,
                                            ReflectLargeFloatArrayBlockedTest_TestStateEncode_jmhType l_teststateencode1_1,
                                            ReflectLargeFloatArrayBlockedTest_jmhType l_reflectlargefloatarrayblockedtest0_0)
                                     throws Throwable

Throws:
  `Throwable`

#### encode_AverageTime

    public org.openjdk.jmh.results.BenchmarkTaskResult encode_AverageTime(org.openjdk.jmh.runner.InfraControl control,
                                                                          org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                   throws Throwable

Throws:
  `Throwable`

#### encode_avgt_jmhStub

    public static void encode_avgt_jmhStub(org.openjdk.jmh.runner.InfraControl control,
                                           org.openjdk.jmh.results.RawResults result,
                                           org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                           org.openjdk.jmh.infra.IterationParams iterationParams,
                                           org.openjdk.jmh.infra.ThreadParams threadParams,
                                           org.openjdk.jmh.infra.Blackhole blackhole,
                                           org.openjdk.jmh.infra.Control notifyControl,
                                           int startRndMask,
                                           ReflectLargeFloatArrayBlockedTest_TestStateEncode_jmhType l_teststateencode1_1,
                                           ReflectLargeFloatArrayBlockedTest_jmhType l_reflectlargefloatarrayblockedtest0_0)
                                    throws Throwable

Throws:
  `Throwable`

#### encode_SampleTime

    public org.openjdk.jmh.results.BenchmarkTaskResult encode_SampleTime(org.openjdk.jmh.runner.InfraControl control,
                                                                         org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                  throws Throwable

Throws:
  `Throwable`

#### encode_sample_jmhStub

    public static void encode_sample_jmhStub(org.openjdk.jmh.runner.InfraControl control,
                                             org.openjdk.jmh.results.RawResults result,
                                             org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                             org.openjdk.jmh.infra.IterationParams iterationParams,
                                             org.openjdk.jmh.infra.ThreadParams threadParams,
                                             org.openjdk.jmh.infra.Blackhole blackhole,
                                             org.openjdk.jmh.infra.Control notifyControl,
                                             int startRndMask,
                                             org.openjdk.jmh.util.SampleBuffer buffer,
                                             int targetSamples,
                                             long opsPerInv,
                                             int batchSize,
                                             ReflectLargeFloatArrayBlockedTest_TestStateEncode_jmhType l_teststateencode1_1,
                                             ReflectLargeFloatArrayBlockedTest_jmhType l_reflectlargefloatarrayblockedtest0_0)
                                      throws Throwable

Throws:
  `Throwable`

#### encode_SingleShotTime

    public org.openjdk.jmh.results.BenchmarkTaskResult encode_SingleShotTime(org.openjdk.jmh.runner.InfraControl control,
                                                                             org.openjdk.jmh.infra.ThreadParams threadParams)
                                                                      throws Throwable

Throws:
  `Throwable`

#### encode_ss_jmhStub

    public static void encode_ss_jmhStub(org.openjdk.jmh.runner.InfraControl control,
                                         org.openjdk.jmh.results.RawResults result,
                                         org.openjdk.jmh.infra.BenchmarkParams benchmarkParams,
                                         org.openjdk.jmh.infra.IterationParams iterationParams,
                                         org.openjdk.jmh.infra.ThreadParams threadParams,
                                         org.openjdk.jmh.infra.Blackhole blackhole,
                                         org.openjdk.jmh.infra.Control notifyControl,
                                         int startRndMask,
                                         int batchSize,
                                         ReflectLargeFloatArrayBlockedTest_TestStateEncode_jmhType l_teststateencode1_1,
                                         ReflectLargeFloatArrayBlockedTest_jmhType l_reflectlargefloatarrayblockedtest0_0)
                                  throws Throwable

Throws:
  `Throwable`